Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter.spatial
Interface DistanceBufferOperator

All Superinterfaces:
  BinarySpatialOperator, Filter, SpatialOperator

All Known Subinterfaces:
  Beyond, DWithin

    @XmlElement(value="DistanceBufferType")
    public interface DistanceBufferOperator

extends BinarySpatialOperator

Abstract superclass for spatial operators that check that one shape satisfies some relation to a buffer around another shape. This could be used to find, for example, all the geometries that come within 10 meters of a river.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Filter
`EXCLUDE, INCLUDE`

Method Summary
`double` | `getDistance()` Returns the buffer distance around the geometry that will be used when comparing features' geometries.
`String` | `getDistanceUnits()` Gets the units of measure that can be used to interpret the distance value held by this object.

Methods inherited from interface BinarySpatialOperator
`getExpression1, getExpression2`

Methods inherited from interface Filter
`accept, evaluate`

Method Detail

### getDistance

    @XmlElement(value="Distance")
    double getDistance()

  Returns the buffer distance around the geometry that will be used when comparing features' geometries.

### getDistanceUnits

    String getDistanceUnits()

  Gets the units of measure that can be used to interpret the distance value held by this object. An implementation may throw an exception if these units differ from the units of the coordinate system of its geometry or the feature's geometry.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.